xfstests: have getfacl(1) report numeric id's
[xfstests-dev.git] / 014
1 #! /bin/bash
2 # FS QA Test No. 014
3 #
4 # truncfile
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24 # creator
25 owner=dxm@sgi.com
26
27 seq=`basename $0`
28 echo "QA output created by $seq"
29
30 here=`pwd`
31 tmp=/tmp/$$
32 status=0        # success is the default!
33 trap "_cleanup; exit \$status" 0 1 2 3 15
34
35 _cleanup()
36 {
37     cd /
38     rm -f $tmp.*
39     rm -rf $testdir/truncfile.$$.*
40     _cleanup_testdir
41 }
42
43 # get standard environment, filters and checks
44 . ./common.rc
45 . ./common.filter
46
47 _supported_fs generic
48 _supported_os IRIX Linux
49
50 _setup_testdir
51
52 echo "brevity is wit..."
53
54 echo "------"
55 echo "test 1"
56 echo "------"
57 if ! src/truncfile -c 10000 $testdir/truncfile.$$.0 >$tmp.out 2>&1
58 then
59     out=`cat $tmp.out`
60     echo "truncfile returned $? : \"$out\""
61 else
62     echo "OK"
63 fi
64
65 exit